<?php  
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session
  $conexion=conecta_default();
  $id_dist = $sesion->id;

extract($_POST);
	if (@$aceptar != "Agregar Gasto") {
	echo "	<div align=\"center\"><font size=\"5\"><br><b>Agregar Gasto / Vale de Caja</b><br><br></font>

	<form name=\"Agrega\" action=\"gastos.php\" method=\"post\">



	  <table border=\"1\"  cellpadding=\"5\">

	    <tr>

	      <td>Numero Factura</td>

      <td><label>

        <input name=\"factura\" type=\"text\" id=\"factura\" size=\"10\" maxlength=\"15\" />

        </label></td>

      <td>Total</td>

      <td ><label>

        <input name=\"total\" type=\"text\" id=\"total\" size=\"8\" maxlength=\"8\" />

        </label></td>

    </tr>

	

	    <tr>

	      <td >Cantidad con letra</td>

      <td colspan=\"3\"><label>

        <input name=\"letra\" type=\"text\" id=\"letra\" size=\"35\" maxlength=\"40\"/>

        </label><br>
		<input name=\"cents\" type=\"text\" id=\"cents\" size=\"30\"maxlength=\"40\"/>
</td>
      </tr>
	    <tr>

	      <td>Autorizo</td>

      <td colspan=\"3\"><label>

        <input name=\"autorizo\" type=\"text\" id=\"autorizo\" size=\"40\" maxlength=\"35\" />

        </label></td>

      </tr>

	    <tr>

	      <td>Recibe</td>

      <td colspan=\"3\"><label>

        <input name=\"realizo\" type=\"text\" id=\"realizo\" size=\"40\" maxlength=\"35\" />

        </label></td>

      </tr>
<tr>

	      <td>Descripcion</td>

      <td colspan=\"3\"><label>

        <input name=\"desc1\" type=\"text\" id=\"desc1\" size=\"35\" maxlength=\"40\"/><br>
		 <input name=\"desc2\" type=\"text\" id=\"desc2\" size=\"35\" maxlength=\"40\"/><br>
		  <input name=\"desc3\" type=\"text\" id=\"desc3\" size=\"35\" maxlength=\"40\"/>

        </label></td>

      </tr>
      </table>

  </div>

	<p align=\"center\">

	  <label>

	  <input type=\"submit\" name=\"aceptar\" id=\"aceptar\" value=\"Agregar Gasto\" />

	  </label>

	</p>

	

";

	}else



	{

		function FechaFormateada($FechaStamp)
	   		{
				$ano = date('Y',$FechaStamp); //<-- Año
				$mes = date('m',$FechaStamp); //<-- número de mes (01-31)
				$dia = date('d',$FechaStamp); //<-- Día del mes (1-31)
				$dialetra = date('w',$FechaStamp);  //Día de la semana(0-7)
				switch($dialetra)
				{
					case 0: $dialetra="Domingo"; break;
					case 1: $dialetra="Lunes"; break;
					case 2: $dialetra="Martes"; break;
					case 3: $dialetra="Miércoles"; break;
					case 4: $dialetra="Jueves"; break;
					case 5: $dialetra="Viernes"; break;
					case 6: $dialetra="Sábado"; break;
				}
			

				switch($mes) 

				{
					case '01': $mesletra="Enero"; break;
					case '02': $mesletra="Febrero"; break;
					case '03': $mesletra="Marzo"; break;
					case '04': $mesletra="Abril"; break;
					case '05': $mesletra="Mayo"; break;
					case '06': $mesletra="Junio"; break;
					case '07': $mesletra="Julio"; break;
					case '08': $mesletra="Agosto"; break;
					case '09': $mesletra="Septiembre"; break;
					case '10': $mesletra="Octubre"; break;
					case '11': $mesletra="Noviembre"; break;
					case '12': $mesletra="Diciembre"; break;
				}	    
				return "$dialetra, $dia de $mesletra de $ano";
			}

			$fecha = time();
  			$fechaT = FechaFormateada($fecha);
  			$hora = date("h:i A",time());		
$ladesc=$desc1." ".$desc2." ".$desc3;
if($ladesc!=null && $realizo!=null && is_numeric($total)){

		$q0 = "INSERT INTO `dineros` (  tipo_g, `fecha_g` , hora_g, `no_factura` ,`total` ,`descripcion` ,  `autorizo` , `realizo` , `id_cd` ) 

VALUES ( '1' , CURDATE(), CURTIME(), '$factura', '$total','$ladesc', '$autorizo', '$realizo', '$id_dist')";



		

	

		$tabla_recibida0 = mysql_query($q0) or die ("Problema con Query.");

		

		echo "<table><tR><td><center>
		<font size=\"5\"><b>Vale de Caja RRB CD:$id_dist</b></font><br><br>$fechaT $hora<br>
		Factura No. <font size=\"4\"><b>$factura</b></font> 
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Cantidad: <font size=\"4\"><b>$ $total</b></font><br>
	
		<b>$letra</b><br>
		<b>$cents</b><br>
		<font size=\"2\"><br></font> 
		<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
		<tR><td>Autoriza:</td><td>$autorizo</td></tr>
		<tR><td>Recibe:</td><td>$realizo</td></tr></table>
		<br>
		<b>Descripci&oacute;n:</b><bR>
		$desc1<br>
		$desc2<br>
		$desc3<br>
		
		<br><br>
		_______________ &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; _______________
		<br> Autoriza:
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Recibe:</center></td><td width=\"40\"></td>
		
		<td><center>
		<font size=\"5\"><b>Vale de Caja RRB CD:$id_dist</b></font><br><br>$fechaT $hora<br>
		Factura No. <font size=\"4\"><b>$factura</b></font> 
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Cantidad: <font size=\"4\"><b>$ $total</b></font><br>
	
		<b>$letra</b><br>
		<b>$cents</b><br>
		<font size=\"2\"><br></font> 
		<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
		<tR><td>Autoriza:</td><td>$autorizo</td></tr>
		<tR><td>Recibe:</td><td>$realizo</td></tr></table>
		<br>
		<b>Descripci&oacute;n:</b><bR>
		$desc1<br>
		$desc2<br>
		$desc3<br>
		
		<br><br>
		_______________ &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; _______________
		<br> Autoriza:
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Recibe:</center></td></tR><table>
		
		";
}else{ echo"<br><br><center>Existe un Error en la Captura<br>Favor de Intentar nuevamente";}
		

		

		

		



	}

   

   

   

?>

